Bug 1479450 - hammer erratum list order option has no effect
Summary: hammer erratum list order option has no effect
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Errata Management
Version: 6.3.0
Hardware: x86_64
OS: Linux
unspecified
medium vote
Target Milestone: Unspecified
Assignee: Partha Aji
QA Contact: Peter Ondrejka
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-08-08 14:53 UTC by Djebran Lezzoum
Modified: 2019-04-01 20:26 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-02-21 17:30:24 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 20579 0 None None None 2017-08-14 12:25:55 UTC

Comment 4 Brad Buckingham 2017-08-14 12:25:52 UTC
Created redmine issue http://projects.theforeman.org/issues/20579 from this bug

Comment 5 Satellite Program 2017-08-17 18:12:49 UTC
Upstream bug assigned to paji@redhat.com

Comment 6 Satellite Program 2017-09-13 20:13:03 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue http://projects.theforeman.org/issues/20579 has been resolved.

Comment 7 Corey Welton 2017-10-23 15:38:52 UTC
Seems to be ok in snap 20.

Process:
* Exported CSV as created by method above and edited it to only include errata ids
* Parsed these IDs sequentially, with 'erratum info' hammer command.

[root@dell-per230-02 ~]# cat werrata.txt 
02633f6d-eb20-4932-9715-2bb0d66e07da
95554479-a113-4a45-b870-29423abafa13
7e93f656-1d70-4212-b1b6-47a99ed8d64c
6627346a-6cc5-4628-9022-32602a2d1e5b
[root@dell-per230-02 ~]# for i in `cat werrata.txt`; do hammer -u admin -p changeme --output json erratum info --id $i | grep Issued; done
  "Issued": "2012-01-27",
  "Issued": "2013-01-27",
  "Issued": "2013-01-27",
  "Issued": "2013-01-27",

Result: 
Oldest errata correctly show first.

Comment 8 Bryan Kearney 2018-02-21 17:30:24 UTC
Since the problem described in this bug report should be resolved in a recent advisory, it has been closed with a resolution of ERRATA.

For information on the advisory, and where to find the updated files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2018:0336


Note You need to log in before you can comment on or make changes to this bug.